Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Andrey Orst <[email-masked]>
Date: Wed, 16 Oct 2019 14:17:27 +0300

> So you are saying that you don't like the new appearance?  The Subject
> says "broke visuals", which sounds like a much more serious problem.

Well, "broke" may be wrong term, here, but lot of themes and packages
crafted
in a way to display things like that, and now all of those things displayed
accordingly
to a new setting, which in turn means that:

a) package maintainers should update *all* their packages to look like
before the change, and
b) maybe Emacs could treat `nil` here as "do not affect", and specify
symbols to set this to different
   settings, like `:extend t` or `:extend 'EOL`, and `:extend 'noextend` to
disable. Though, I do not
   know how code was changed, so maybe there's no way to treat `nil` as "do
not affect".

On Wed, Oct 16, 2019 at 2:10 PM Ergus <[email-masked]> wrote:

> Hi Eli and Martin:
>
> I have seen these reports and also the ones in reddit. Do you think that
> we should/must/can do anything about?
>
>
>
> On Wed, Oct 16, 2019 at 10:53:21AM +0300, Eli Zaretskii wrote:
> >> From: Andrey Orst <[email-masked]>
> >> Date: Wed, 16 Oct 2019 10:00:38 +0300
> >>
> >> Somewhat last checkout from master brought the change of face
> >> attributes, adding new `:extend` attribute, which make all themes, and
> >> packages like Magit display weirdly.  By this I mean that before the
> >> change, some faces were set up to extend highlighting beyond EOL, but
> >> now all of those faces are not doing this.  I've first reported this to
> >> the theme package I'm using:
> >> https://github.com/hlissner/emacs-doom-themes/issues/342 but I think
> >> that this should be handled by emacs itself, because if not it will
> >> result in the duplicated or extra code in themes fro different Emacs
> >> versions.  This reddit post has some screenshots of what I mean:
> >>
> https://www.reddit.com/r/emacs/comments/diahh1/emacs_27_update_changed_how_highlighted_lines/
> >
> >The screenshots you posted don't clearly explain the problem.  Some of
> >them seem actually identical before and after the change, and with
> >others I don't think I see the problem.
> >
> >So please explain what exactly is incorrect or "weird" in the visual
> >appearance after the change.  Specifically, why the faces in question
> >need to be extended past EOL?
> >
> >Thanks.
>

-- 
Best regards,
Andrey Listopadov